Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class CompletionStrategy

    java.lang.Object
      org.mindswap.pellet.CompletionStrategy

Direct Known Subclasses:
  SROIQStrategy

    public abstract class CompletionStrategy

extends java.lang.Object

A completion strategy specifies how the tableau rules will be applied to an ABox. Depending on the expressivity of the KB, e.g. SHIN, SHON, etc., different (more efficient) strategies may be used. This class is the base for all different implementations and contains strategy independent functions.

Author:
  Evren Sirin

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`CompletionStrategy(ABox abox, Blocking blocking)`

Method Summary
`void` | `addEdge(Individual subj, Role pred, Node obj, DependencySet ds)`
`void` | `addType(Node node, aterm.ATermAppl c, DependencySet ds)`
`java.util.Iterator` | `getInitializeIterator()` Return individuals to which we need to apply the initialization rules
`void` | `initialize()`
`void` | `mergeTo(Node y, Node z, DependencySet ds)` Merge node y into z.
`void` | `restore(org.mindswap.pellet.Branch br)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    public static final org.apache.commons.logging.Log log

Constructor Detail

### CompletionStrategy

    public CompletionStrategy(ABox abox,
                              Blocking blocking)

Method Detail

### getInitializeIterator

    public java.util.Iterator getInitializeIterator()

  Return individuals to which we need to apply the initialization rules

  Returns:

### initialize

    public void initialize()

### addType

    public void addType(Node node,
                        aterm.ATermAppl c,
                        DependencySet ds)

### addEdge

    public void addEdge(Individual subj,
                        Role pred,
                        Node obj,
                        DependencySet ds)

### mergeTo

    public void mergeTo(Node y,
                        Node z,
                        DependencySet ds)

  Merge node y into z. Node y and all its descendants will be pruned from the completion graph.

  Parameters:
    `y` - Node being pruned
    `z` - Node that is being merged into
    `ds` - Dependency of this merge operation

### restore

    public void restore(org.mindswap.pellet.Branch br)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.